Hooks:PostHook( StatisticsManager, "killed", "HF_achievement_package", function(self, data)
	-- Thanks to Akira and Tfkmaster for the graze code.
    if not data then return end
    if not data.weapon_unit then
        if data.variant == "graze" then
            data.weapon_unit = managers.player:player_unit():inventory():equipped_unit()
        else
            return
        end
    end
	
	local unit_type = data.name
	-- Shields
	if unit_type == "shield" then
		local package = CustomAchievementPackage:new("HF_achievement_kills")
		package:Achievement("HF_achievement_shield"):IncreaseAmount(1)
	end
	
	-- Tasers
	if unit_type == "taser" then
		local package = CustomAchievementPackage:new("HF_achievement_kills")
		package:Achievement("HF_achievement_taser"):IncreaseAmount(1)
	end
		
	-- Cloakers
	if unit_type == "spooc" then
		local package = CustomAchievementPackage:new("HF_achievement_kills")
		package:Achievement("HF_achievement_cloaker"):IncreaseAmount(1)
	end
	
	-- Medic
	if unit_type == "medic" then
		local package = CustomAchievementPackage:new("HF_achievement_kills")
		package:Achievement("HF_achievement_medic"):IncreaseAmount(1)
	end
	
	-- Snipers
	if unit_type == "sniper" then
		local package = CustomAchievementPackage:new("HF_achievement_kills")
		package:Achievement("HF_achievement_sniper"):IncreaseAmount(1)
	end
	
	-- Dozers
	if unit_type == "tank" then
		local package = CustomAchievementPackage:new("HF_achievement_kills")
		package:Achievement("HF_achievement_bulldozer"):IncreaseAmount(1)
	end
end)